<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F4F5F9"
    android:orientation="vertical"
    tools:context=".fragment.RecoveryFragment">


    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:layout_marginTop="12dp"
        android:text="Recovery"
        android:textColor="@color/black"
        android:textSize="19sp"
        android:textStyle="bold"
        tools:ignore="HardcodedText" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="25dp"
        android:layout_marginBottom="15dp"
        android:text="Recover lost data from unrooted Android devices"
        android:textColor="#181D2C"
        android:textSize="15sp"
        android:textStyle="bold"
        tools:ignore="HardcodedText" />

    <FrameLayout
        android:id="@+id/fl_ad"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="5dp">

        <io.supercharge.shimmerlayout.ShimmerLayout
            android:id="@+id/shimmerLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|center_horizontal"
            android:layout_marginHorizontal="16dp"
            android:layout_marginVertical="10dp"
            app:shimmer_angle="25"
            app:shimmer_animation_duration="2000"
            app:shimmer_auto_start="true"
            app:shimmer_color="#33ffffff"
            app:shimmer_mask_width="0.2">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@mipmap/adzhanweitu" />

        </io.supercharge.shimmerlayout.ShimmerLayout>

    </FrameLayout>

    <androidx.cardview.widget.CardView
        android:id="@+id/card_ry_photos"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="10dp"
        app:cardElevation="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_margin="10dp"
                android:src="@mipmap/h_photos"
                tools:ignore="ContentDescription" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_weight="1"
                android:orientation="vertical"
                tools:ignore="UseCompoundDrawables">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Photos Recovery"
                    android:textColor="@color/black"
                    android:textSize="15sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="8dp"
                    android:text="Recover lost photos"
                    android:textColor="#999999"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>


            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginHorizontal="15dp"
                android:src="@mipmap/jianotu_h"
                tools:ignore="ContentDescription" />

        </LinearLayout>


    </androidx.cardview.widget.CardView>

    <androidx.cardview.widget.CardView
        android:id="@+id/card_ry_videos"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="10dp"
        app:cardElevation="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_margin="10dp"
                android:src="@mipmap/h_videos"
                tools:ignore="ContentDescription" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_weight="1"
                android:orientation="vertical"
                tools:ignore="UseCompoundDrawables">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Videos Recovery"
                    android:textColor="@color/black"
                    android:textSize="15sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="8dp"
                    android:text="Recover lost videos"
                    android:textColor="#999999"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>


            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginHorizontal="15dp"
                android:src="@mipmap/jianotu_h"
                tools:ignore="ContentDescription" />

        </LinearLayout>


    </androidx.cardview.widget.CardView>

    <androidx.cardview.widget.CardView
        android:id="@+id/card_ry_audios"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="10dp"
        app:cardElevation="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_margin="10dp"
                android:src="@mipmap/h_audios"
                tools:ignore="ContentDescription" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_weight="1"
                android:orientation="vertical"
                tools:ignore="UseCompoundDrawables">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Audios Recovery"
                    android:textColor="@color/black"
                    android:textSize="15sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="8dp"
                    android:text="Recover lost Audios"
                    android:textColor="#999999"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>


            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginHorizontal="15dp"
                android:src="@mipmap/jianotu_h"
                tools:ignore="ContentDescription" />

        </LinearLayout>


    </androidx.cardview.widget.CardView>

    <androidx.cardview.widget.CardView
        android:id="@+id/card_ry_documents"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="10dp"
        app:cardElevation="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_margin="10dp"
                android:src="@mipmap/h_documents"
                tools:ignore="ContentDescription" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_weight="1"
                android:orientation="vertical"
                tools:ignore="UseCompoundDrawables">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Documents Recovery"
                    android:textColor="@color/black"
                    android:textSize="15sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="8dp"
                    android:text="Recover lost Documents"
                    android:textColor="#999999"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>


            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginHorizontal="15dp"
                android:src="@mipmap/jianotu_h"
                tools:ignore="ContentDescription" />

        </LinearLayout>


    </androidx.cardview.widget.CardView>


</LinearLayout>